﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.3
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Public JsonList As List
	Public JsonGenerator As JSONGenerator
End Sub ' Process_Globals

Sub GetPersons As ResumableSub
	Dim JsonRow As Map = CreateMap( "Action":"GetAllPersons" )
	JsonList.Initialize
	
	JsonList.Add( JsonRow )
	JsonGenerator.Initialize2( JsonList )
	Dim JSONstring As String = JsonGenerator.ToString
	
	Dim PersonList As List
	PersonList.Initialize
	
	Dim j As HttpJob
	j.Initialize( "", Me )
	j.PostString( Main.Servername & Main.ScriptPath, JSONstring )
	Wait For( j ) JobDone( j As HttpJob )
	If j.Success Then
		Dim ReturnString As String = j.GetString
		If ReturnString.StartsWith ( "[" ) Then
		   Dim JsonParser As JSONParser
		   JsonParser.Initialize( ReturnString )
		   PersonList=JsonParser.NextArray
		End If
	End If
	j.Release
	Return PersonList
End Sub ' GetPersons

Sub InsertNewPerson( JsonString As String ) As ResumableSub
	Dim j As HttpJob
	j.Initialize( "", Me )
	j.PostString( Main.Servername & Main.ScriptPath, JsonString )
	Wait For( j ) JobDone( j As HttpJob )
	'Log( j.GetString )
	Dim Result As String = j.GetString
	j.Release
	Return Result
End Sub ' InsertNewPerson()

Sub UpdatePerson( JsonString As String ) As ResumableSub
	Dim j As HttpJob
	j.Initialize( "", Me )
	j.PostString( Main.Servername & Main.ScriptPath, JsonString )
	Wait For( j ) JobDone( j As HttpJob )
	Log( j.GetString )
	Dim Result As String = j.GetString
	j.Release
	Return Result
End Sub ' UpdatePerson()

Sub DeletePerson( JsonString As String ) As ResumableSub
	Dim j As HttpJob
	j.Initialize( "", Me )
	j.PostString( Main.Servername & Main.ScriptPath, JsonString )
	Wait For( j ) JobDone( j As HttpJob )
	Log( j.GetString )
	Dim Result As String = j.GetString
	j.Release
	Return Result
End Sub ' DeletePerson()

Sub Search( jsonString As String ) As ResumableSub
	' InsertNewPerson():
	'Dim j As HttpJob
	'j.Initialize( "", Me )
	'j.PostString( Main.Servername & Main.ScriptPath, jsonString )
	'Wait For (j) JobDone( j As HttpJob )
	'Log( j.GetString )
	'Dim Result As String = j.GetString
	'j.Release
	'Return Result

	'Dim JsonRow As Map = CreateMap( "Action":"InsertPerson" )
	'JsonList.Initialize
	
	'JsonList.Add( JsonRow )
	'JsonGenerator.Initialize2( JsonList )
	'Dim jsonString As String = JsonGenerator.ToString
	
	Dim ResultList As List
	ResultList.Initialize
	
	Dim j As HttpJob
	j.Initialize( "", Me )
	j.PostString( Main.Servername & Main.ScriptPath, jsonString )
	Wait For( j ) JobDone( j As HttpJob )
	If j.Success Then
		Dim ReturnString As String = j.GetString
		If ReturnString.StartsWith ( "[" ) Then
			Dim JsonParser As JSONParser
			JsonParser.Initialize( ReturnString )
			ResultList=JsonParser.NextArray
		Else
			Log( "No Json in ReturnString=" & ReturnString )
		End If
	End If
	j.Release
	Return ResultList
End Sub ' Search()
